Tuesday, April 29, 2014

VBA Enabler downloads for previous versions of AutoCAD

Where are the VBA installers? It’s no longer possible to download the VBA installer for AutoCAD 2013, AutoCAD 2012 and AutoCAD 2011 on Autodesk’s page “Download the Microsoft Visual Basic for Applications Module (VBA)” autodesk.com/vba-download. At this point they’re only available for AutoCAD 2014 and AutoCAD 2015.

Here’s the explanation from Autodesk: “As of January 31, 2014, Autodesk is no longer authorized to distribute VBA 6 or earlier versions of VBA for use with Autodesk AutoCAD and other Autodesk products. This change affects the availability to download and install VBA for Autodesk AutoCAD 2013 or earlier, VBA remains available for Autodesk AutoCAD 2014 and Autodesk AutoCAD 2014-based products because those products support VBA 7.1.” (FAQ) Same with AutoCAD 2015.

It’s just too bad this information is not directly seen on the download page where you end up on if you for example run the VBAIDE, VBALOAD, VBAMAN commands without having VBA installed.

If you need VBA for AutoCAD 2013 or older, you will need to find an alternative download (might not be safe) or you need to upgrade to the latest AutoCAD release or migrate your custom programs to AutoLISP, ObjectARX, or Managed .NET (VB.NET or C++). JTB World can help with customization and migration work.


Some of the latest blog posts

Subscribe to RSS headline updates from:
Powered by FeedBurner